package com.bocloud.cmp.provider.agile.sfc;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.sfc.AgileSfcScappModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: SfcScappProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/6/28 15:10
 */
public interface SfcScappProvider extends SuperProvider {
    default BocloudResult<List<AgileSfcScappModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileSfcScappModel> create(AgileSfcScappModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileSfcScappModel> modify(AgileSfcScappModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileSfcScappModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}